# sanity-plugin-daterange-input
> This is a **Sanity Studio v3** plugin.

<img width="1221" alt="image" src="https://user-images.githubusercontent.com/38528/204924759-58eceda6-1b4b-48f2-bb2c-d40c3d0d793f.png">


## Installation

```
npm install --save sanity-plugin-daterange-input
```

## Usage
Add it as a plugin in sanity.config.ts (or .js):

```
 import {defineConfig} from 'sanity'
 import {dateRangePlugin} from 'sanity-plugin-daterange-input'

 export const defineConfig({
     //...
     plugins: [
         dateRangePlugin({})
     ]
 })
```

Then in your schemas, use it as a field

```
{
    name: "period",
    type: "dateRange"
}
```
## License

[MIT](LICENSE) © Sanity.io

## Develop & test

This plugin uses [@sanity/plugin-kit](https://github.com/sanity-io/plugin-kit)
with default configuration for build & watch scripts.

See [Testing a plugin in Sanity Studio](https://github.com/sanity-io/plugin-kit#testing-a-plugin-in-sanity-studio)
on how to run this plugin with hotreload in the studio.

### Release new version

Run ["CI & Release" workflow](.github/workflows/main.yml).
Make sure to select the main branch and check "Release new version".

Semantic release will only release on configured branches, so it is safe to run release on any branch.
