import {definePlugin} from 'sanity'
import {dateRange} from './dateRange'

interface DateRangePluginConfig {}

/**
 * ## Usage in sanity.config.ts (or .js)
 *
 * ```
 * import {defineConfig} from 'sanity'
 * import {dateRangePlugin} from 'sanity-plugin-daterange-input'
 *
 * export const defineConfig({
 *     //...
 *     plugins: [
 *         dateRangePlugin()
 *     ]
 * })
 * ```
 */
export const dateRangePlugin = definePlugin<DateRangePluginConfig | void>((config = {}) => {
  return {
    name: 'sanity-plugin-daterange-input',
    schema: {
      types: [dateRange],
    },
  }
})
